lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "influxdb/rails/version"

Gem::Specification.new do |spec|
  spec.name        = "asklytics-influxdb-rails"
  spec.version     = InfluxDB::Rails::VERSION
  spec.authors       = ["Gildas darex"]
  spec.email         = ["tdarex@asklytics.io"]

  spec.summary       = "Instrumentation of rails app"
  spec.description   = "Instrumentation of rails app"
  spec.homepage      = "http://www.asklytics.io"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/) # rubocop:disable Style/SpecialGlobalVars
  spec.test_files    = spec.files.grep(%r{^(test|spec|features|smoke)/})
  spec.require_paths = ["lib"]

  spec.required_ruby_version = ">= 2.3.0"

  spec.add_runtime_dependency "influxdb", "~> 0.6", ">= 0.6.4"
  spec.add_runtime_dependency "railties", ">= 4.2"

  spec.add_development_dependency "activerecord"
  spec.add_development_dependency "bundler", ">= 1.0.0"
  spec.add_development_dependency "fakeweb"
  #spec.add_development_dependency "rake"
  spec.add_development_dependency "rdoc"
  #spec.add_development_dependency "rspec"
  spec.add_development_dependency "rspec-rails", ">= 3.0.0"
  spec.add_development_dependency "rubocop", "~> 0.61.1"
  spec.add_development_dependency "sqlite3"
  spec.add_development_dependency "tzinfo"

  spec.add_development_dependency 'ethon', ['~> 0.11']
  spec.add_development_dependency 'excon', ['~> 0.60']
  spec.add_development_dependency 'faraday', ['~> 0.14']
  spec.add_development_dependency 'guard-rspec', ['~> 4.7']
  spec.add_development_dependency 'http', ['~> 4.0']
  spec.add_development_dependency 'httparty', ['~> 0.16']
  spec.add_development_dependency 'httpclient', ['~> 2.8']
  spec.add_development_dependency 'listen', ['~> 3.0']
  spec.add_development_dependency 'patron', ['~> 0.12']
  spec.add_development_dependency 'rake', ['~> 12.3.2']
  spec.add_development_dependency 'rspec', ['~> 3.7']
  spec.add_development_dependency 'simplecov', ['~> 0.15']
  spec.add_development_dependency 'thin', ['~> 1.7']

  spec.add_dependency 'rack', ['>= 1.0']
  spec.add_dependency 'rainbow', ['>= 2.0.0']
end
